# $Id: ruby-password.spec,v 1.10 2002/10/03 06:03:21 ianmacd Exp $
#

Summary: password handling library for Ruby, including interface to CrackLib
Name: ruby-password
Version: 0.3.0
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby, cracklib, cracklib-dicts
Requires: ruby, ruby-termios, cracklib, cracklib-dicts

%description
Ruby/Password is a collection of password handling routines for Ruby,
including an interface to CrackLib for the purposes of testing password
strength.

%prep
%setup

%build
ruby extconf.rb
make
#make docs

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_mandir}/man3
install doc/password.3 $RPM_BUILD_ROOT%{_mandir}/man3/password.3
gzip -9 $RPM_BUILD_ROOT%{_mandir}/man3/password.3
find $RPM_BUILD_ROOT -type f -print | \
        ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc -P CHANGES COPYING INSTALL README
%doc -P example/ doc/password.html

%changelog
* Wed Oct  2 2002 Ian Macdonald <ian@caliban.org> 0.3.0-1
- 0.3.0
- Password#check now raises a Password::WeakPassword exception when provided
  with a weak password

* Sat Sep 28 2002 Ian Macdonald <ian@caliban.org> 0.2.1-1
- portability enhancements from Akinori MUSHA <knu@iDaemons.org>
- 0.2.1

* Wed Sep 18 2002 Ian Macdonald <ian@caliban.org> 0.2.0-1
- 0.2.0
- Password#check now returns true on success, and raises a Crack::WeakPassword
  exception on failure

* Tue Jun 18 2002 Ian Macdonald <ian@caliban.org> 0.1.1-1
- 0.1.1
- Password.get now returns an instance of Password, not String
- Password.new now defaults to assigning a null string

* Tue Jun 18 2002 Ian Macdonald <ian@caliban.org> 0.1.0-1
- 0.1.0
